<?php
/*
Plugin Name: Related Category Posts Plugin
Plugin URI: http://www.nsauditor.com/wordpress/related-category-posts-plugin/
Description: The plugin shows related category posts
Author: Varuzhan Kankanyan
Author URI: http://www.nsauditor.com
Version: 1.0.1
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

add_filter('the_content',function($content){
	$id = get_the_id();
	if(!is_singular('post')){
		return $content;
	}
		
	$terms = get_the_terms($id,'category');
	$cats = array();
	foreach($terms as $term){
		$cats[]=$term->cat_ID;
	}
	
	$query = new WP_Query(
		array(
			'posts_per_page'=>3,
			'category__in'=>$cats,
			'order_by'=>'rand',
			'post__not_in'=>array($id)
		)
	);
	
	if($query->have_posts()){
		$content .= '
		<div style="border-top: 1px solid #cccccc;border-bottom: 1px solid #cccccc;padding: 5px 0 0 65px;margin: 15px 0;">
		<h4 style="margin: 10px 0;">MORE RELATED TO THIS STORY</h4>
		<ul style="list-style-type: disc;color: red;max-width: 395px;margin: 10px 0 15px 0;">';
		while($query->have_posts()){
			$query->the_post();
			$content .= '
			<li>
				<a href="'.get_permalink(get_the_id()) .'">'.get_the_title().'</a>
			</li>';
		}
		$content .= '</ul></div>';
		wp_reset_query();
	}
	
	return $content;
});
